version: '3.8'

services:
  app:
    container_name: agm_test_app
    # image: agm_test_app:latest
    build:
      context: .
      dockerfile: Dockerfile
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      # HTTP router
      - "traefik.http.routers.agm_test_app.rule=Host(`test.kivapp.com`)"
      - "traefik.http.routers.agm_test_app.entrypoints=websecure"
      - "traefik.http.routers.agm_test_app.service=agm_test_app"
      - "traefik.http.routers.agm_test_app.tls.certresolver=leresolver"
      - "traefik.http.services.agm_test_app.loadbalancer.server.port=8000"
networks:
  default:
    name: agm_test_app
